/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef FILENAME_H
#define FILENAME_H

#include <string>

/**
 * @brief get directory part of path
 * @param[in] path full absolute or relative path
 * @return directory part of file name, ending with a slash or empty
 */
std::string filename_get_dir(const std::string &path);

/**
 * @brief re-base path
 * @param[in] path full absolute or relative path to re-base
 * @param[in] base base dir to re-base path to, ending with a slash or empty
 * @return re-based path
 */
std::string filename_rebase(const std::string &path, const std::string &base);

#endif // #ifndef FILENAME_H

