/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef GDWELL_H
#define GDWELL_H

#include <iostream>

#include "gcmd.h"

/// G-code command dwell (G4)
class GDwell: public GCmd {
public:
  /// constructor
  GDwell();

  /// virtual destructor
  virtual ~GDwell();

  /// output G-code command to stream
  virtual void toStrm(std::ostream &strm) const;

  double mSec; ///< dwell time in seconds, must always be positive
};

#endif // #ifndef GDWELL_H

