/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef GFAST_H
#define GFAST_H

#include <iostream>

#include "gcmd.h"
#include "optdbl.h"

/// G-code command fast move (G0)
class GFast: public GCmd {
public:
  /// virtual destructor
  virtual ~GFast();

  /// output G-code command to stream
  virtual void toStrm(std::ostream &strm) const;

  OptDbl mX; ///< x coordinate
  OptDbl mY; ///< y coordinate
  OptDbl mZ; ///< z coordinate
};

#endif // #ifndef GFAST_H

