/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#include <iostream>

#include "cmdparser.h"

/**
 * @brief main programm
 * @param[in] argc number of arguments
 * @param[in] argv argument values
 * @return exit code
 */
int main(int argc, char *argv[])
{
  // get parameters
  if (argc < 2) {
    std::cerr << "drawing (DXF) to G-code (NGC) converter" << std::endl
              << "usage: " << argv[0] << " <commands.txt>"
              << std::endl;
    return 2;
  }
  std::string strCmdFileName = argv[1];

  // process commands from file
  CmdParser cmdParser;
  if (!cmdParser.procFile(strCmdFileName)) {
    std::cerr << "error processing command file \"" << strCmdFileName
              << "\"" << std::endl;
    return 3;
  }

  return 0;
}

