/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef OPTDBL_H
#define OPTDBL_H

#include <iostream>
#include <string>

/// optional double
class OptDbl {
public:
  /// constructor
  OptDbl();

  /// unset double value
  void unset();

  /// set double value
  void set(double val);

  /**
   * @brief output G-code command to stream
   * @param[in] stream to write to
   * @param[in] prefix to output
   */
  void toStrm(std::ostream &strm, const std::string &prefix) const;

  bool   mUse; ///< if the optional double is in use
  double mVal; ///< value of the optional double
};

#endif // #ifndef OPTDBL_H

