/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#include "settings.h"

/// set some reasonable/safe default settings
Settings::Settings():
  base_z(0.0),
  cut_z(0.0),
  cut_z_step(0.1),
  dwell_time(0.0),
  feed_drill(10.0),
  feed_mill(10.0),
  layer_mode(LevelByLevel),
  move_z(10.0),
  offset_x(0.0),
  offset_y(0.0),
  precision(0.001),
  rotation_z(0.0),
  tool_diameter(1.0)
{
}

